LibreOffice LibreOffice 5.3 SDK C/C++ API Reference

Classes | Namespaces | Functions
Sequence.h File Reference
`#include <typelib/typedescription.h>`
`#include <uno/sequence2.h>`
`#include <com/sun/star/uno/Type.h>`
`#include <rtl/alloc.h>`
`#include <new>`

Go to the source code of this file.

## Classes
class | com::sun::star::uno::Sequence< E >
| Template C++ class representing an IDL sequence. More...
class | com::sun::star::uno::Sequence< bool >

## Namespaces
| rtl
| com
| com::sun
| com::sun::star
| com::sun::star::uno

## Functions
inline ::com::sun::star::uno::Sequence< sal_Int8 > | com::sun::star::uno::toUnoSequence (const ::rtl::ByteSequence &rByteSequence)
| Creates a UNO byte sequence from a SAL byte sequence. More...
template<class E >
const ::com::sun::star::uno::Type & | getCppuType (const ::com::sun::star::uno::Sequence< E > *)
| Gets the meta type of IDL sequence. More...
template<class E >
const ::com::sun::star::uno::Type & | getCppuSequenceType (const ::com::sun::star::uno::Type &rElementType)
| Gets the meta type of IDL sequence. More...
const ::com::sun::star::uno::Type & | getCharSequenceCppuType ()
| Gets the meta type of IDL sequence< char >. More...

## Function Documentation

## ◆ getCharSequenceCppuType()

const ::com::sun::star::uno::Type& getCharSequenceCppuType | ( |  | ) |
| inline

Gets the meta type of IDL sequence< char >.

This function has been introduced due to ambiguities with unsigned short.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL sequence< char >

Deprecated:
  Use cppu::UnoType instead.

## ◆ getCppuSequenceType()

template<class E >

const ::com::sun::star::uno::Type& getCppuSequenceType | ( | const ::com::sun::star::uno::Type & | rElementType | ) |
| inline

Gets the meta type of IDL sequence.

This function has been introduced, because one cannot get the (templated) cppu type out of C++ array types.

Attention
  the given element type must be the same as the template argument type!

Template Parameters

  E | element type of sequence

Parameters

  rElementType | element type of sequence

Returns
  type of IDL sequence

Deprecated:
  Use cppu::UnoType instead.

## ◆ getCppuType()

template<class E >

const ::com::sun::star::uno::Type& getCppuType | ( | const ::com::sun::star::uno::Sequence< E > * |  | ) |
| inline

Gets the meta type of IDL sequence.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Template Parameters

  E | element type of sequence

Returns
  type of IDL sequence

Deprecated:
  Use cppu::UnoType instead.